Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.slf4j
Class MDCContextMap

    java.lang.Object
      org.apache.logging.slf4j.MDCContextMap

All Implemented Interfaces:
  org.apache.logging.log4j.spi.ThreadContextMap

    public class MDCContextMap

extends Object
implements org.apache.logging.log4j.spi.ThreadContextMap

Bind the ThreadContextMap to the SLF4J MDC.

Constructor Summary
`MDCContextMap()`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(String key)`
`String` | `get(String key)`
`Map<String,String>` | `getCopy()`
`Map<String,String>` | `getImmutableMapOrNull()`
`boolean` | `isEmpty()`
`void` | `put(String key, String value)`
`void` | `remove(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MDCContextMap

    public MDCContextMap()

Method Detail

### put

    public void put(String key,
                    String value)

  Specified by:
    `put` in interface `org.apache.logging.log4j.spi.ThreadContextMap`

### get

    public String get(String key)

  Specified by:
    `get` in interface `org.apache.logging.log4j.spi.ThreadContextMap`

### remove

    public void remove(String key)

  Specified by:
    `remove` in interface `org.apache.logging.log4j.spi.ThreadContextMap`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.logging.log4j.spi.ThreadContextMap`

### containsKey

    public boolean containsKey(String key)

  Specified by:
    `containsKey` in interface `org.apache.logging.log4j.spi.ThreadContextMap`

### getCopy

    public Map<String,String> getCopy()

  Specified by:
    `getCopy` in interface `org.apache.logging.log4j.spi.ThreadContextMap`

### getImmutableMapOrNull

    public Map<String,String> getImmutableMapOrNull()

  Specified by:
    `getImmutableMapOrNull` in interface `org.apache.logging.log4j.spi.ThreadContextMap`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `org.apache.logging.log4j.spi.ThreadContextMap`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.